Summary:	A 3D version of the classic DOS game Scorched Earth
Summary(pl.UTF-8):	Wersja 3D klasycznej DOS-owej gry Scorched Earth
Name:		scorched3d
Version:	43.3d
Release:	3
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/scorched3d/Scorched3D-%{version}-src.tar.gz
# Source0-md5:	9c3043282a9e7451468ff325bef3b04c
Source1:	%{name}.desktop
Patch0:		%{name}-types.patch
Patch1:		%{name}-openal.patch
Patch2:		%{name}-libpng15.patch
Patch3:		%{name}-gcc47.patch
URL:		http://www.scorched3d.co.uk/
BuildRequires:	ImageMagick-coder-png
BuildRequires:	OpenAL-devel >= 0.0.8
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL-devel >= 1.2.5
BuildRequires:	SDL_net-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	fftw3-single-devel >= 3.0
BuildRequires:	freealut-devel
BuildRequires:	freetype-devel >= 2.1.0
BuildRequires:	libjpeg-devel
BuildRequires:	libogg-devel
BuildRequires:	libpng-devel
BuildRequires:	libvorbis-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.533
BuildRequires:	sed >= 4.0
BuildRequires:	wxGTK2-devel >= 2.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
Scorched3D is a cross-platform 3D remake of the popular 2D artillery
game Scorched Earth. Scorched3D can be played against the computer,
other players, and remotely across the Internet or LAN.

%description -l pl.UTF-8
Scorched 3D to wieloplatformowe, trójwymiarowe odtworzenie popularnej
dwuwymiarowej gry artyleryjnej Scorched Earth. W Scorched3D można grać
przeciwko komputerowi, innym graczom oraz zdalnie poprzez Internet lub
LAN.

%prep
%setup -qc
mv scorched/* .
rm -rf scorched-dep-osx scorched
%undos src/common/porting/windows.h src/common/image/ImagePngFactory.cpp
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--datadir=%{_datadir}/%{name} \
	--with-wx-config=wx-gtk2-ansi-config

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	datadir=%{_datadir}/%{name}

%{__rm} $RPM_BUILD_ROOT%{_datadir}/%{name}/documentation/*.txt

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
convert $RPM_BUILD_DIR/%{name}-%{version}/data/images/tank2.bmp $RPM_BUILD_ROOT%{_pixmapsdir}/scorched3d.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc documentation/*.txt
%attr(755,root,root) %{_bindir}/scorched3d
%attr(755,root,root) %{_bindir}/scorched3dc
%attr(755,root,root) %{_bindir}/scorched3ds
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/data
%{_datadir}/%{name}/documentation
%{_pixmapsdir}/scorched3d.png
%{_desktopdir}/scorched3d.desktop
%changelog
* Sun Nov 03 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/scorched3d.git;a=log;h=master

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> 347fb5f
- release 3 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7f5ccdd
- release 2 (by relup.sh)

* Fri Nov 16 2012 Jan Rękorajski <baggins@pld-linux.org> aaf981e
- fix building with gcc 4.7

* Fri Nov 16 2012 Jan Rękorajski <baggins@pld-linux.org> 6417485
- updated to 43.3d

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> dbe296b
- rebuild with expat 2.1.0
- release 2 (by relup.sh)

* Tue Feb 14 2012 lisu <lisu@pld-linux.org> 33449c2
- up to 43.3

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> 8021cb7
- d'oh! install fix; release 6

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> 8332729
- fix %prep not to polute builddir

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> 4e6664c
- new

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> d2ec489
- release 5 (rebuild against libpng-1.5)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5bd658c
- release 4

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9162763
- release 3

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6469fa0
- release 2

* Fri Dec 10 2010 lisu <lisu@pld-linux.org> 10d3ff7
- 43.2a

* Mon Nov 15 2010 lisu <lisu@pld-linux.org> 31568f0
- osbolete

* Mon Nov 15 2010 lisu <lisu@pld-linux.org> e6f59f9
- updated to 43.2, merged with DEVEL

* Tue May 04 2010 lisu <lisu@pld-linux.org> 3efce1f
- up for 43.1c

* Tue May 04 2010 lisu <lisu@pld-linux.org> d47be42
- updated to 43.1c

* Thu Feb 11 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 7e08680
- fixes build with libpng 1.4

* Thu Feb 11 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 65b60fb
- added -libpng.patch
- release 6

